# ord\_getInscriptions

You can use the `ord_getInscriptions` method to retrieve all your user's [Inscriptions](https://docs.ordinals.com/inscriptions.html), i.e. the list of inscribed sats that their [connected wallet's ordinal address](/sats-connect/connecting-to-the-wallet.md) owns, and their key attributes.

Your app must have first [connected to the wallet](/sats-connect/connecting-to-the-wallet/connect-to-xverse-wallet.md) and obtained [account read permissions.](/sats-connect/xverse-wallet-permissions.md)&#x20;

The response will be paginated when the inscriptions dataset is large. You can set your preferred pagination parameters in the request:

<table><thead><tr><th width="212">Request parameters</th><th>Description</th></tr></thead><tbody><tr><td><code>limit</code><br>(<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>An integer defining the number of inscriptions returned per page. Defaults to 60, capped at 100.</td></tr><tr><td><code>offset</code><br>(<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>The number of results to skip over before returning new results. Defaults to 0.</td></tr></tbody></table>

```typescript
import { request } from 'sats-connect';

const response = await request('ord_getInscriptions', undefined);

if (response.status === 'success') {
  console.log(response.result);
} else {
  console.error(response.error);
}
```

The `ord_getInscriptions` method will **not** trigger any operation or prompt your user to sign any transaction. It will return an `inscriptions` objects, detailing the connected ordinal address's inscriptions holdings:

<table><thead><tr><th width="204">inscriptions </th><th>Description</th></tr></thead><tbody><tr><td><code>total</code></td><td>an integer representing the total count of inscriptions held by the connected ordinal address</td></tr><tr><td><code>[inscription]</code></td><td><p>an array of objects representing each inscription held by the connected ordinal address, with the below properties:</p><ul><li><code>inscriptionId</code> - string: the <a href="https://docs.ordinals.com/inscriptions.html#inscription-ids">id</a> of the inscription.</li><li><code>inscriptionNumber</code> - string: the <a href="https://docs.ordinals.com/inscriptions.html#inscription-numbers">number</a> of the inscription. </li><li><code>parentInscriptionId</code> - string: the <a href="https://docs.ordinals.com/inscriptions.html#inscription-ids">id</a> of the <a href="https://docs.ordinals.com/inscriptions/provenance.html">parent</a> inscription.<br>(<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional, defaults to <code>null</code>)</li><li><code>collectionName</code> - string: the name of the <a href="https://docs.ordinals.com/inscriptions/provenance.html?highlight=collection#notes">parent collection</a> <br>(<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional, defaults to <code>null</code>)</li><li><code>contentType</code> - number: the <a href="https://docs.ordinals.com/inscriptions.html#content">content</a> type of the content inscribed on the sat</li><li><code>genesisTransaction</code> - string: the txid of the inscription's <a href="https://docs.ordinals.com/inscriptions.html#inscription-ids">genesis transaction</a></li><li><code>timestamp</code> - number: the timestamp of the block the inscription was created on</li><li><code>satNumber</code> - string: the number of the inscribed sat </li><li><code>output</code> - string: the output containing the inscribed sat as txid:vout</li><li><code>postage</code> - string : the size of the inscription’s containing output in sats</li><li><code>contentType</code> - number : the content type of inscription.</li></ul></td></tr><tr><td><code>page_info</code> <br></td><td><p>an object helping you identify the page queried and its location in a paginated response</p><ul><li><code>page_number</code> - integer: the number of the page queried</li><li><code>total_pages</code> - integer: the total number of pages required for the response dataset, for the <code>page_size</code> specified in the request</li></ul></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/sats-connect/bitcoin-methods/ord_getinscriptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
